Subject: Re: bug#8869: Unjustified selection time-out

From: Jan Djärv <[email-masked]>
Date: Sun, 26 Jun 2011 10:36:00 +0200

Hi.

I was not sure how the interaction between read_kbd being 0 and different 
types of events (keyboard, mouse vs the rest) are supposed to work.
But if you are sure then that is good.  Anyway we have a long time to release 
yet :-)

BTW, should the bug be closed?

	Jan D.

Chong Yidong skrev 2011-06-26 05.40:
> Jan Djärv<[email-masked]>  writes:
>
>> Adding this patch:
>>
>> === modified file 'src/process.c'
>> --- src/process.c       2011-06-14 18:57:19 +0000
>> +++ src/process.c       2011-06-19 11:09:30 +0000
>> @@ -4484,6 +4484,11 @@
>>            nfds = 0;
>>            no_avail = 1;
>>          }
>> +      else if (read_kbd == 0&&  detect_input_pending ())
>> +       {
>> +         nfds = 1;
>> +         no_avail = 1;
>> +       }
>>         else
>>          {
>>
>> fixes the timeout issue in this report, but probably has some bad
>> effect elsewhere.
>
> I stared at the code a long time, and I think it should have no bad
> effect.  I've committed a slightly tweaked version of this fix; let's
> see how it plays out.  Thanks for debugging.